RufussMcGee
Technical User
What is an easy way to which your dimstyle. The thing I am trying to do is auto dimenion a part after the user fills out some infomration.
Thanks.
Thanks.
Follow along with the video below to see how to install our site as a web app on your home screen.
Note: This feature may not be available in some browsers.
Dim objDim As AcadDimension
...
objDim.StyleName = "Standard8"
objDim.Update
Dim dimObj As AcadDimAligned
Dim point1(0 To 2) As Double, point2(0 To 2) As Double
Dim location(0 To 2) As Double
' Define the dimension
point1(0) = 5: point1(1) = 5: point1(2) = 0
point2(0) = 5.5: point2(1) = 5: point2(2) = 0
location(0) = 5: location(1) = 7: location(2) = 0
' Create an aligned dimension object in model space
Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
' Now change it's style:
dimObj.StyleName = "Standard8"
dimObj.Update
...
..
Dim objDim as AcadDimension
Dim ssetObj as AcadSelectionSet
' << Create your selection set here >>
...
' Set your objDim object:
Set objDim = ssetObj(0)
objDim.StyleName = "Standard8"
objDim.Update
' Set your objDim object:
Set objDim = ssetObj(0)
objDim.StyleName = "Standard8"
objDim.Update
' Create an aligned dimension object in model space
Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
[b][red]dimObj[/red][/b].StyleName = "Standard8"
[b][red]dimObj[/red][/b].Update